from peewee import *

# 假设 db 已经在其他地方定义并连接到数据库
from models import db


class Warpcast(Model):
    id = AutoField(primary_key=True)  # 自增主键
    ld_name = CharField(max_length=255, null=True)  # LD 名称，最大长度 255，可为空
    ld_id = IntegerField(null=True)  # LD ID，整型，可为空
    text = CharField(max_length=255, null=True)  # 文本内容，最大长度 255，可为空
    address = CharField(max_length=255, null=True)  # 地址，最大长度 255，可为空
    bit_id = CharField(max_length=255, null=True)  # 地址，最大长度 255，可为空
    login_start = IntegerField(null=True)   # 地址，最大长度 255，可为空
    token = CharField(max_length=999, null=True)  # 地址，最大长度 255，可为空
    fraction = CharField(max_length=999, null=True)  # 地址，最大长度 255，可为空
    x_token = CharField(max_length=255, null=True)  # 地址，最大长度 255，可为空
    x_start = IntegerField(null=True)  # 地址，最大长度 255，可为空
    mumu_name = IntegerField(null=True)  # 地址，最大长度 255，可为空
    account = CharField(max_length=255, null=True)  # 地址，最大长度 255，可为空
    password = CharField(max_length=255, null=True)  # 地址，最大长度 255，可为空
    two_fa = CharField(max_length=255, null=True)  # 地址，最大长度 255，可为空

    class Meta:
        database = db  # 所属数据库
        table_name = 'warpcast'  # 表名
